# Uses of Class
org.apache.zookeeper.proto.ReplyHeader

Packages that use ReplyHeader
Package
Description
org.apache.zookeeper
org.apache.zookeeper.proto
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller

## Uses of ReplyHeader in org.apache.zookeeper

Methods in org.apache.zookeeper that return ReplyHeader
Modifier and Type
Method
Description
`ReplyHeader`
ClientCnxn.`submitRequest(RequestHeader h, Record request, Record response, ZooKeeper.WatchRegistration watchRegistration)`
`ReplyHeader`
ClientCnxn.`submitRequest(RequestHeader h, Record request, Record response, ZooKeeper.WatchRegistration watchRegistration, WatchDeregistration watchDeregistration)`
Methods in org.apache.zookeeper with parameters of type ReplyHeader
Modifier and Type
Method
Description
`org.apache.zookeeper.ClientCnxn.Packet`
ClientCnxn.`queuePacket(RequestHeader h, ReplyHeader r, Record request, Record response, AsyncCallback cb, String clientPath, String serverPath, Object ctx, ZooKeeper.WatchRegistration watchRegistration)`
`org.apache.zookeeper.ClientCnxn.Packet`
ClientCnxn.`queuePacket(RequestHeader h, ReplyHeader r, Record request, Record response, AsyncCallback cb, String clientPath, String serverPath, Object ctx, ZooKeeper.WatchRegistration watchRegistration, WatchDeregistration watchDeregistration)`

## Uses of ReplyHeader in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type ReplyHeader
Modifier and Type
Method
Description
`void`
ReplyHeader.`copyFrom(ReplyHeader from)`

## Uses of ReplyHeader in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type ReplyHeader
Modifier and Type
Method
Description
`void`
ServerCnxn.`decrOutstandingAndCheckThrottle(ReplyHeader h)`
`int`
DumbWatcher.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`int`
NettyServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`int`
NIOServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`int`
ServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag)`
`abstract int`
ServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
Serializes a ZooKeeper response and enqueues it for sending.
`protected ByteBuffer[]`
ServerCnxn.`serialize(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`

## Uses of ReplyHeader in org.apache.zookeeper.server.controller

Methods in org.apache.zookeeper.server.controller with parameters of type ReplyHeader
Modifier and Type
Method
Description
`int`
ControllableConnection.`sendResponse(ReplyHeader header, Record record, String tag)`